<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: PhotonListSourceMessenger Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>PhotonListSourceMessenger Class Reference</h1><!-- doxytag: class="PhotonListSourceMessenger" -->
<p>a class for operating the <a class="el" href="classPhotonListSource.html" title="a class making it possible to generate single optical photons with (specified in...">PhotonListSource</a> and providing the necessary information for this (taken from compressed (.gz) text files)  
</p>

<p><a href="classPhotonListSourceMessenger-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonListSourceMessenger.html#a1a6d17156eb8ba708c36f2c475324d9c">PhotonListSourceMessenger</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonListSourceMessenger.html#a29e9d561fb87a5b47cff3f9bec4585c4">~PhotonListSourceMessenger</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonListSourceMessenger.html#aa3dee8b6298630ada8dfec40681372ab">GetNextPhotonStartMomentum_MeV</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonListSourceMessenger.html#ad04597bacfe3fbe582a662d54bb996da">GetNextPhotonStartPolarisation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonListSourceMessenger.html#a09e881f0a3e7ded2cda66cd04b5ca7c8">GetNextPhotonStartPosition_mm</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonListSourceMessenger.html#a750edd3d29d40b7e8cbc4a1ab35d17d1">GetNextPhotonStartTime_ns</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonListSourceMessenger.html#a3c44c60deb905c496bf68049a9738147">IsPhotonDataAvailable</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonListSourceMessenger.html#a3257dd34b5fb0ad68ab0106e702132b9">RemoveNextPhotonData</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonListSourceMessenger.html#ada75a889e59d3659d65f191bb11222a7">SetNewValue</a> (G4UIcommand *, G4String)</td></tr>
<tr><td colspan="2"><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonListSourceMessenger.html#a1c10d248e7c2238f70173bd9fbe72c32">ReadInPhotonList</a> (G4String infilePath)</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a1a6d17156eb8ba708c36f2c475324d9c"></a><!-- doxytag: member="PhotonListSourceMessenger::PhotonListSourceMessenger" ref="a1a6d17156eb8ba708c36f2c475324d9c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PhotonListSourceMessenger::PhotonListSourceMessenger </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor:</p>
<ul>
<li>creates the commands for operating the <a class="el" href="classPhotonListSource.html" title="a class making it possible to generate single optical photons with (specified in...">PhotonListSource</a> in the interactive mode </li>
</ul>

</div>
</div>
<a class="anchor" id="a29e9d561fb87a5b47cff3f9bec4585c4"></a><!-- doxytag: member="PhotonListSourceMessenger::~PhotonListSourceMessenger" ref="a29e9d561fb87a5b47cff3f9bec4585c4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PhotonListSourceMessenger::~PhotonListSourceMessenger </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor:</p>
<ul>
<li>deletes the command objects </li>
</ul>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa3dee8b6298630ada8dfec40681372ab"></a><!-- doxytag: member="PhotonListSourceMessenger::GetNextPhotonStartMomentum_MeV" ref="aa3dee8b6298630ada8dfec40681372ab" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector PhotonListSourceMessenger::GetNextPhotonStartMomentum_MeV </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>start momentum of the next optical photon to be generated </dd></dl>

</div>
</div>
<a class="anchor" id="ad04597bacfe3fbe582a662d54bb996da"></a><!-- doxytag: member="PhotonListSourceMessenger::GetNextPhotonStartPolarisation" ref="ad04597bacfe3fbe582a662d54bb996da" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector PhotonListSourceMessenger::GetNextPhotonStartPolarisation </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>start polarisation of the next optical photon to be generated </dd></dl>

</div>
</div>
<a class="anchor" id="a09e881f0a3e7ded2cda66cd04b5ca7c8"></a><!-- doxytag: member="PhotonListSourceMessenger::GetNextPhotonStartPosition_mm" ref="a09e881f0a3e7ded2cda66cd04b5ca7c8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector PhotonListSourceMessenger::GetNextPhotonStartPosition_mm </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>start position of the next optical photon to be generated </dd></dl>

</div>
</div>
<a class="anchor" id="a750edd3d29d40b7e8cbc4a1ab35d17d1"></a><!-- doxytag: member="PhotonListSourceMessenger::GetNextPhotonStartTime_ns" ref="a750edd3d29d40b7e8cbc4a1ab35d17d1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4double PhotonListSourceMessenger::GetNextPhotonStartTime_ns </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>start time of the next optical photon to be generated </dd></dl>

</div>
</div>
<a class="anchor" id="a3c44c60deb905c496bf68049a9738147"></a><!-- doxytag: member="PhotonListSourceMessenger::IsPhotonDataAvailable" ref="a3c44c60deb905c496bf68049a9738147" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool PhotonListSourceMessenger::IsPhotonDataAvailable </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4bool, if a list with start conditions of optical photons is available </dd></dl>

</div>
</div>
<a class="anchor" id="a1c10d248e7c2238f70173bd9fbe72c32"></a><!-- doxytag: member="PhotonListSourceMessenger::ReadInPhotonList" ref="a1c10d248e7c2238f70173bd9fbe72c32" args="(G4String infilePath)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonListSourceMessenger::ReadInPhotonList </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>infilePath</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to read a the list with photon data from a compressed (.gz) text file.<br/>
 It will be executed, when a new list with photon data is provided (with the "/pls/photonListPath" command).<br/>
 The compressed (.gz) text file is read in, then the data is decompressed, processed, and saved within the <a class="el" href="classPhotonListSourceMessenger.html" title="a class for operating the PhotonListSource and providing the necessary information...">PhotonListSourceMessenger</a> class. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>infilePath</em>&nbsp;</td><td>path to the compressed (.gz) text file containing the optical photon's start conditions </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3257dd34b5fb0ad68ab0106e702132b9"></a><!-- doxytag: member="PhotonListSourceMessenger::RemoveNextPhotonData" ref="a3257dd34b5fb0ad68ab0106e702132b9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonListSourceMessenger::RemoveNextPhotonData </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>remove the data of the next optical photon from the list </dd></dl>

</div>
</div>
<a class="anchor" id="ada75a889e59d3659d65f191bb11222a7"></a><!-- doxytag: member="PhotonListSourceMessenger::SetNewValue" ref="ada75a889e59d3659d65f191bb11222a7" args="(G4UIcommand *, G4String)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonListSourceMessenger::SetNewValue </td>
          <td>(</td>
          <td class="paramtype">G4UIcommand *&nbsp;</td>
          <td class="paramname"> <em>command</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>newValue</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to define the action of the commands.<br/>
 It will be executed by GEANT4, when a command (created by this class) is called in the interactive mode. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 22 Jul 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
